#include "stdafx.h"
#include "stdio.h"

char *inputfile;
char *outputfile;
FILE *fi;
FILE *fo;


unsigned char buffer[1];



void help()
{
	printf("\n* GizCrypt v1.0 by p0p/Team POKeMe 2006 *\nDecrypt & encrypt Gizmondo firmware files\n\nusage: gizcrypt.exe infile.bin outfile.bin\n");
}


void error(char text[])
{
	fprintf(stderr, "\n**ERROR: %s\n",text);
}




int main(int argc, char *argv[])
{

	// handle parameters
	
	for (int a=1; a<argc; a++)
	{
		if (!inputfile)
			inputfile = argv[a];
		else if (!outputfile)
			outputfile = argv[a];
			else
			{
				error("Too many arguments");
				return(-1);
			}	
	}


	if (!inputfile)
	{
		help();
		return 0;
	}

	if (!outputfile)
	{
		help();
		return -1;
	}



	// read original rom
	
	fi = fopen(inputfile, "rb");
	if (!fi)
	{
		error("Input file not valid");
		return -1;
	}


	fo = fopen(outputfile, "wb");
	
	if (!fo)
	{
		error("Output file write failure");
		return -1;
	}


	fseek(fi, 0, SEEK_SET);


	while ( ! fread (buffer, 1, 1, fi) == NULL )
	{
		buffer[0] ^= 0xff;
		fwrite (buffer, 1, 1, fo);
	}


	fclose(fi);
	fclose(fo);

	printf("\nFile successfully written\n");


	return 0;
}

